package com.ozs.pm.service;


import com.ozs.pm.doman.PmDemand;
import com.ozs.pm.doman.vo.requestVo.PmBookBuildingReqVo;
import com.ozs.pm.doman.vo.requestVo.PmReqVo;
import com.ozs.pm.doman.vo.responseVo.PmDemandResVo;

import java.util.List;


/**
 * 采购需求Service接口
 * 
 * @author ruoyi
 * @date 2023-01-16
 */
public interface IPmDemandService 
{
    /**
     * 查询采购需求
     * 
     * @param demandId 采购需求主键
     * @return 采购需求
     */
    public PmDemandResVo selectPmDemandByDemandId(Long demandId);

    /**
     * 查询采购需求列表
     * 
     * @param pmReqVo 采购需求
     * @return 采购需求集合
     */
    public List<PmDemandResVo> selectPmDemandList(PmReqVo pmReqVo);

    /**
     * 新增采购需求
     * 
     * @param pmDemand 采购需求
     * @return 结果
     */
    public int insertPmDemand(PmDemand pmDemand);
    /**
     *修改采购需求
     *
     * @param pmDemand 采购需求
     * @return 结果
     */
    public int updatePmDemand(PmDemand pmDemand);

    /**
     * 需求建档
     * 
     * @param pmBookBuildingReqVo 需求建档
     * @return 结果
     */
    public int bookBuilding(PmBookBuildingReqVo pmBookBuildingReqVo);

    /**
     * 查看流程图
     *
     * @param demandId 采购需求主键
     * @return 采购需求
     */
    public PmDemandResVo viewFlowChart(Long demandId);

    /**
     * 提交采购需求
     *
     * @param pmReqVo
     * @return 结果
     */
    public int commit(PmReqVo pmReqVo);

    /**
     * 审核采购需求通过
     *
     * @param pmReqVo
     * @return 结果
     */
    public int reviewTo(PmReqVo pmReqVo);

    /**
     * 审核采购需求退回
     *
     * @param pmReqVo
     * @return 结果
     */
    public int reviewReturn(PmReqVo pmReqVo);
}
